Elenca le piante di un locale
curl --request GET \
--url https://app.gestionesala.com/api/v1/venues/{id}/floor-plans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.gestionesala.com/api/v1/venues/{id}/floor-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.gestionesala.com/api/v1/venues/{id}/floor-plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isActive": true,
"version": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}Configurazione del locale
Elenca le piante di un locale
Scope: floor:read
GET
/
venues
/
{id}
/
floor-plans
Elenca le piante di un locale
curl --request GET \
--url https://app.gestionesala.com/api/v1/venues/{id}/floor-plans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.gestionesala.com/api/v1/venues/{id}/floor-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.gestionesala.com/api/v1/venues/{id}/floor-plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isActive": true,
"version": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parametri del percorso
Parametri della query
Righe per pagina
Intervallo richiesto:
1 <= x <= 200Il nextCursor della risposta precedente
Solo ciò che è cambiato dopo questo istante Istante ISO 8601 con fuso

